KCAPI_AEAD_OUTBUFLEN(3)

NAME
kcapi_aead_outbuflen_enc - return minimum encryption output buffer length

SYNOPSIS

size_t kcapi_aead_outbuflen_enc(struct kcapi_handle * handle, size_t inlen, size_t assoclen, size_t taglen);

ARGUMENTS

handle
    [in] cipher handle

inlen
    [in] size of plaintext

assoclen
    [in] size of associated data (AD)

taglen
    [in] size of authentication tag

DESCRIPTION

return minimum size of output data length in bytes

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT